Delete DPU Extension Service

View as Markdown

Delete a specific DPU Extension Service by ID. All versions will be deleted.

DPU Extension Service must be owned by current Tenant. No versions of the DPU Extension Service can have active deployments.

Org must have a Tenant entity. User must have FORGE_TENANT_ADMIN authorization role.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired
dpuExtensionServiceIdstringRequired

Errors

403
Forbidden Error